resolved_by to the current admin and resolved_at to now.Authorization: Bearer ********************curl --location --request PUT 'https://api.msaaq.com/v1/admin/communities/reports/1/reject' \
--header 'Accept: application/json' \
--header 'X-Academy-ID: 1' \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 3,
"reason": "misinformation",
"note": null,
"status": "rejected",
"reportable_type": "reply",
"reportable": {
"id": 25,
"body": "I think PHP is better than Python for web development.",
"author": {
"id": 8,
"name": "John Doe"
},
"topic": {
"id": 5,
"title": "Best languages for web dev?",
"community": {
"id": 1,
"name": "Web Development Bootcamp",
"slug": "web-development-bootcamp"
}
},
"created_at": "2025-11-18 12:00:00"
},
"reporter": {
"id": 12,
"name": "Jane Smith"
},
"resolved_by": {
"id": 1,
"name": "Admin User",
"email": "admin@example.com"
},
"resolved_at": "2025-11-20 15:00:00",
"created_at": "2025-11-18 14:00:00"
}
}